package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.path.PathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PathPlanningInitDataServiceImpl implements MqttService{

    @Resource
    private PathApi pathApi;

    /**
     * 路径规划需要初始数据上报
     * @param message
     */
    @Override
    public void analysisMessage(String message) {
        log.info("收到路径规划需要初始化数据的请求");
        pathApi.pathInitData();
    }
}
